> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of Builder users

> Returns a list of all of the Builder users defined for a Customer




## OpenAPI

````yaml /uapi.yaml get /builders
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /builders:
    get:
      tags:
        - builders
      summary: Get a list of Builder users
      description: |
        Returns a list of all of the Builder users defined for a Customer
      operationId: getBuilders
      parameters:
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
          description: >-
            The number of items to skip before starting to collect the result
            set
        - name: count
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: The number of items to return
      responses:
        '200':
          $ref: '#/components/responses/BuilderPage'
components:
  responses:
    BuilderPage:
      description: A page of Builder Users
      content:
        application/json:
          schema:
            type: object
            required:
              - data
              - count
              - total
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/Builder'
              count:
                type: number
              total:
                type: number
  schemas:
    Builder:
      type: object
      required:
        - id
        - sid
        - customerId
      properties:
        id:
          type: string
          format: uuid
        sid:
          description: >
            A Builder's SID is the security ID associated with a Customer User.
            This SID comes _from_ the Customer and should uniquely identify a
            User in their Authentication system.


            This SID is what should be in the `sub` claim of any JWTs used to
            authenticate requests to the Sutro API from the Customer API
          type: string
        customerId:
          type: string
          format: uuid

````